Compile Instructions:

0)  -Define $QTCOMPONENTS as the qt-components directory
            -example: $QTCOMPONENTS="/home/user/qt-components"

    -Define $QTDIR as the $QTDIR as the Qt directory
            -example: $QTDIR="/home/user/qt-4.7/"

    -Define $QT_SOURCE_TREE as the directory containing the src/
            -example: $QT_SOURCE_TREE="/home/user/qt-4.7/"

    -Add $QTDIR/bin to your $PATH variable. Otherwise, the qdoc3 tool can be run
    from $QTDIR/bin/qdoc3.

1)  Compile the Qt documentation. The qt-components documentation needs
    to link to the Qt classes and types.
            -example: user@host:/home/user/qt-4.7/$ make docs

2)  Compile the qt-components documentation from the doc/MeeGo directory.
            -example: qt-components/doc/MeeGo/$ qdoc3 qt-components.qdocconf

Notes:
-The generated documentation will be in the $QTCOMPONENTS/doc/html directory.
-The styling (association with Qt and Qt Quick) need to be decided.

====================================================================

QML related markup:
\qmlclass
\qmlproperty <type> <element>::<name>
\qmlattachedproperty
\inherits
\qmlsignal
\qmlattachedsignal
\qmlmethod <type> <element>::<name>(<param>, ...)
\qmlattachedmethod
\default
\qmlbasictype
\qml  ...insert qml code... \endqml
